checkmate-kisen.cc File Reference

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions
checkmate-kisen.cc File Reference
`#include "osl/container/moveVector.h"`
`#include "osl/hash/hashKey.h"`
`#include "osl/state/numEffectState.h"`
`#include "osl/state/historyState.h"`
`#include "osl/record/kisen.h"`
`#include "osl/record/csaRecord.h"`
`#include "osl/checkmate/dualDfpn.h"`
`#include "osl/eval/see.h"`
`#include "osl/misc/filePath.h"`
`#include <boost/accumulators/accumulators.hpp>`
`#include <boost/accumulators/statistics/mean.hpp>`
`#include <boost/accumulators/statistics/max.hpp>`
`#include <boost/scoped_ptr.hpp>`
`#include <boost/program_options.hpp>`
`#include <boost/filesystem/convenience.hpp>`
`#include <boost/foreach.hpp>`
`#include <boost/format.hpp>`
`#include <iostream>`
`#include <fstream>`
Include dependency graph for checkmate-kisen.cc:

Go to the source code of this file.

## Functions
static void | convert_from_first (const osl::NumEffectState &initial, const osl::vector< osl::Move > &in, osl::vector< osl::Move > &out, size_t checkmate_limit)
static void | trim_last (const osl::NumEffectState &initial, const osl::vector< osl::Move > &in, osl::vector< osl::Move > &out, size_t checkmate_limit)
static void | convert (const std::vector< std::string > &input_filename, const std::string &output_kisen_filename, size_t checkmate_limit, bool output_ipx, bool trim)
int | main (int argc, char **argv)

## Function Documentation

static void convert | ( | const std::vector< std::string > & | input_filename,
|  | const std::string & | output_kisen_filename,
|  | size_t | checkmate_limit,
|  | bool | output_ipx,
|  | bool | trim
| ) |  |
| static

Definition at line 71 of file checkmate-kisen.cc.

References osl::record::RecordVisitor::addMoveAndAdvance(), osl::BLACK, BLACK_WIN, convert_from_first(), osl::misc::file_string(), osl::eval::max(), moves, osl::record::Record::setDate(), osl::record::Record::setPlayer(), osl::record::RecordVisitor::setRecord(), osl::record::Record::setResult(), osl::record::RecordVisitor::setState(), trim_last(), osl::WHITE, and WHITE_WIN.

static void convert_from_first | ( | const osl::NumEffectState & | initial,
|  | const osl::vector< osl::Move > & | in,
|  | osl::vector< osl::Move > & | out,
|  | size_t | checkmate_limit
| ) |  |
| static

Definition at line 23 of file checkmate-kisen.cc.

References osl::alt(), and osl::checkmate::DualDfpn::isLosingState().

Referenced by convert().

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 141 of file checkmate-kisen.cc.

References checkmate_limit, osl::eval::convert(), files, kisen_filename, run(), store(), and vm.

static void trim_last | ( | const osl::NumEffectState & | initial,
|  | const osl::vector< osl::Move > & | in,
|  | osl::vector< osl::Move > & | out,
|  | size_t | checkmate_limit
| ) |  |
| static

Definition at line 43 of file checkmate-kisen.cc.

References osl::alt(), osl::checkmate::DualDfpn::isLosingState(), and length.

Referenced by convert().